> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new FAQ



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json post /smart-faq
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /smart-faq:
    post:
      tags:
        - SmartFAQ
      summary: Create a new FAQ
      requestBody:
        description: The create FAQ request.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSmartFAQRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/CreateSmartFAQRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/CreateSmartFAQRequest'
      responses:
        '201':
          description: Created
components:
  schemas:
    CreateSmartFAQRequest:
      type: object
      properties:
        sourceId:
          type: string
          description: The source ID of the FAQ
          nullable: true
        question:
          type: string
          description: The question of the FAQ
          nullable: true
        answer:
          type: string
          description: The answer of the FAQ
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````